--独家企划闪卡展示窗口
Lua_ExclusivePlanCardShowWindow = class("Lua_ExclusivePlanCardShowWindow", Lua_Window);
function Lua_ExclusivePlanCardShowWindow:ctor()
	self:superCall("ctor");
	self.showBlackMask = true;
    self.isClickClose = true;
	self.windowName = "Lua_ExclusivePlanCardShowWindow";
	self.skinName = "ExclusivePlanCardShowWindow_skin";
end

function Lua_ExclusivePlanCardShowWindow:buildShowItem()
	self:superCall("buildShowItem");
    
    self.flashItem = Lua_CommonFlashCardItem.new(self.content);
    self.flashItem:setLocation(0, 127);
    self.flashItem:setScale(0.9, 0.9);
    self.flashItem.canRotate = false;
    self:showCard();

	self.overturnBtn:addClickFuntion(self, self.onOverturnClick);

    self.isFront = true;
end

function Lua_ExclusivePlanCardShowWindow:showCard()
	local curPeriod = DataCenter.exclusivePlanData.curPeriod;
	local config = getConfig("sole_plan_type", curPeriod);

	if config ~= nil then
		local flashId = DataCenter.collectionBookUtil:getCardConfigByCardIdAndType(config.flash_id, Lua_CollectionBookUtil.FLASH_ID);
		if flashId == nil then
			return;
		end
		local flashInfo = Lua_FlashCardVo.new(flashId);
		self.flashItem:setData(flashInfo);
	end
end

function Lua_ExclusivePlanCardShowWindow:onOverturnClick()
	self.isFront = not self.isFront;
	self.flashItem:showFrontPage(self.isFront);
	if self.isFront then
		self.overturnTxt:setLangValue(450010);
	else
		self.overturnTxt:setLangValue(450011);
	end
end

function Lua_ExclusivePlanCardShowWindow:dispose()
	self:superCall("dispose");
end