-- 战令阶段Btn
Lua_WarOrderBtnItem = class("Lua_WarOrderBtnItem", Lua_ListCell);
function Lua_WarOrderBtnItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_WarOrderBtnItem:buildShowItem()
	self:superCall("buildShowItem");

	self.btnBg = UICreate.createUIAtlasImage(self.content, "", "", 0 , 0, 0, 0);
	self.btnTxt = UICreate.createLabel(self.content, "", 0, 0 , 140, 52, 28);
	self.btnTxt.alignmentValue = 4;

	self.redDotItem = Lua_RedPointIcon.new(self.content);
	self.redDotItem:createRedPointEff();
	self.redDotItem:setLocation(57, 14, 0);
end

function Lua_WarOrderBtnItem:setData(data)
	self.data = data;

	self.btnTxt.text = LanUtil.formateStr(550005, data.key);
	self.redDotItem:updateRedPointShow(DataCenter.warOrderData:getCurRedDotShow(data.key));
end

function Lua_WarOrderBtnItem:onPressClick()
	Lua_MsgUtil.callFunc("WAR_ORDER_STEP_SELECT", self.data.key)
	return true;
end

function Lua_WarOrderBtnItem:onSelectionChange(bSelect)
	self:superCall("onSelectionChange", bSelect);

	if bSelect then
		self.btnBg:setAltas("war_order_atlas", "xui_zl_toggle_01_f");
		self.btnTxt.colorStr = Lua_ColorDefine.transColorStr("8F5123");
	else
		self.btnBg:setAltas("war_order_atlas", "xui_zl_toggle_01_b");
		self.btnTxt.colorStr = Lua_ColorDefine.transColorStr("F5DBB1");
	end
end

function Lua_WarOrderBtnItem:dispose()
	if self.btnBg ~= nil then
		self.btnBg:dispose();
		self.btnBg = nil;
	end
	if self.btnTxt ~= nil then
		self.btnTxt:dispose();
		self.btnTxt = nil;
	end
	if self.redDotItem ~= nil then
		self.redDotItem:dispose();
		self.redDotItem = nil;
	end
	self:superCall("dispose");
end